;                   Configure the 2000 Access I/O Processor.
;
;
; This include file configures the I/O card cage in the I/O Processor to
; contain the necessary device interfaces in the proper select code slots.  It
; is invoked by the "iopload.inc" and "iopdump.inc" command files, as follows:
;
;    do iopconfig.inc <cpu-model>
;
; ...where <cpu-model> is the specific CPU model to simulate (2100, 21MX, or
; 21MX-E).  This file is never invoked directly by the user.
;
; These device assignments are listed in the "HP 2000 Access Operator's Manual"
; (HP part number 22687-90005, April 1977):
;
;   Select
;    Code   Device
;   ------  -------------------------------------------------
;     10    12539C Time Base Generator Interface
;   11-12   12920A Asynchronous Multiplexer Data Interface
;     13    12920A Asynchronous Multiplexer Control Interface
;   14-15   12875A Processor Interconnect
;     16    12597A-002 Tape Reader Interface
;     17    12597A-005 Tape Punch Interface
;     20    12845A Line Printer Interface


; Configure the I/O Processor CPU.

set CPU %1,32K,IOP


; Configure the I/O card cage.
;
; Enable and assign the select codes of the required devices.

set TBG  SC=10,ENABLED
set MUX  SC=11,ENABLED
set MUXM SC=13,ENABLED
set IPL  SC=14,ENABLED
set PTR  SC=16,ENABLED
set PTP  SC=17,ENABLED
set LPT  SC=20,ENABLED,2617


; Disable the devices that will not be used with this system.
;
; The TTY cannot be disabled, so it is moved out of the way.

set TTY  SC=77

set BACI DISABLED
set DA   DISABLED
set DPD  DISABLED
set DQD  DISABLED
set DRD  DISABLED
set DS   DISABLED
set LPS  DISABLED
set MPX  DISABLED
set MTD  DISABLED
set MSD  DISABLED
set PIF  DISABLED
