;                  Configure the 2000 Access System Processor.
;
;
; This include file configures the CPU and I/O card cage in the System Processor
; to contain the necessary device interfaces in the proper card slots.  It is
; invoked by the SP command files, as follows:
;
;    do spconfig.inc <cpu-model> <disc-model>
;
; ...where <cpu-model> and <disc-model> are the models of the CPU (2100, 21MX,
; or 21MX-E) and disc (7900, 7905, 7920, or 2883) to use.  This file is never
; invoked directly by the user.
;
; These device assignments are listed in the "HP 2000 Access Operator's Manual"
; (HP part number 22687-90005, April 1977):
;
;     Select
;      Code   Device
;     ------  -------------------------------------------
;     10-11   12875A Processor Interconnect
;       12    12531C Buffered Teleprinter Interface
;       13    12539C Time Base Generator Interface
;   /   14    13175D Disc Controller Interface
;   \ 14-15   13210A Disc Drive Interface or 12565A Disc Interface
;     16-17   13183B Digital Magnetic Tape Unit Interface
;
; The disc interface will occupy select code 14 or select codes 14 and 15,
; depending on the disc model indicated.  If the single-card interface is used,
; select code 15 is occupied by an HP 12777A Priority Jumper Card.


; Configure the System Processor CPU.
;
; The SP requires floating-point support, which must be enabled specifically
; for 2100 CPUs (floating-point is standard on the 21MX series).

set CPU %1,32K

if "%1" == "2100" set CPU FP


; Configure and assign the select codes of the required devices.

set IPL SC=10,ENABLED
set TTY SC=12
set TBG SC=13,ENABLED
set MSD SC=16,ENABLED


; Configure the tape drive interface model.

set MSC 13183


; Configure and assign the select code of the disc device.

if "%2" == "7900" set DPD SC=14,ENABLED ; set DQD DISABLED ; set DS  DISABLED ; set DPC 13210
if "%2" == "7905" set DS  SC=14,ENABLED ; set DPD DISABLED ; set DQD DISABLED ; set DS0 7905
if "%2" == "7920" set DS  SC=14,ENABLED ; set DPD DISABLED ; set DQD DISABLED ; set DS0 7920
if "%2" == "2883" set DQD SC=14,ENABLED ; set DPD DISABLED ; set DS  DISABLED


; Disable the devices that will not be used with this system.

set PTP  DISABLED
set PTR  DISABLED
set LPT  DISABLED
set BACI DISABLED
set MPX  DISABLED
set DA   DISABLED
set DRD  DISABLED
set MTD  DISABLED
set PIF  DISABLED
